/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.objects;

import java.util.ArrayList;
import java.util.Collection;

/**
 * The default implementation of <code>ArtifactStatisticsSet</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultArtifactStatisticsSet implements ArtifactStatisticsSet{

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 6738878381515708602L;

    /**
     * The name of the StatisticsSet.
     */
    private String name = null;

    /**
     * The statisticsvalues which belong to this set.
     */
    private Collection<ArtifactStatisticValue> statisticValues =
                                       new ArrayList<ArtifactStatisticValue>();
    /**
     * Constructor
     * @param name the name of the StatisticsSet
     */
    public DefaultArtifactStatisticsSet(String name) {
        this.name = name;
    }


    public void addStatisticValues(ArtifactStatisticValue value) {
        this.statisticValues.add(value);
    }


    public String getName() {
        return this.name;
    }


    public Collection<ArtifactStatisticValue> getStatisticValues() {
        return this.statisticValues;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
